org.apache.ignite.internal.processors.igfs

## Interface IgfsHelper

All Known Implementing Classes:
  IgfsHelperImpl, IgfsNoopHelper

    public interface IgfsHelper

IGFS utility processor adapter.

### Method Summary

Methods
`boolean` `isIgfsBlockKey(Object key)` Check whether object is of type `IgfsBlockKey`
`void` `preProcessCacheConfiguration(CacheConfiguration cfg)` Pre-process cache configuration.
`void` `validateCacheConfiguration(CacheConfiguration cfg)` Validate cache configuration for IGFS.

### Method Detail

#### preProcessCacheConfiguration

    void preProcessCacheConfiguration(CacheConfiguration cfg)

Pre-process cache configuration.

Parameters:
  `cfg` - Cache configuration.

#### validateCacheConfiguration

    void validateCacheConfiguration(CacheConfiguration cfg)
                                    throws IgniteCheckedException

Validate cache configuration for IGFS.

Parameters:
  `cfg` - Cache configuration.
Throws:
  `IgniteCheckedException` - If validation failed.

#### isIgfsBlockKey

    boolean isIgfsBlockKey(Object key)

Check whether object is of type `IgfsBlockKey`

Parameters:
  `key` - Key.
Returns:
  `True` if IGFS block key.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015